### Hierarchy

- Controller

## Index

### Properties

- active
- elevation
- filter_
- gettextCatalog
- gmfRaster_
- inViewport_
- layer
- listenerKeys_
- loading
- map
- ngeoDebounce_
- options
- scope_

### Methods

- activate_
- afterPointerMove_
- clear_
- deactivate_
- getRasterError_
- getRasterSuccess_
- onMouseout_
- onPointerMove_

## Properties

### active

active: boolean

- Defined in src/raster/component.js:176

### elevation

elevation: string

- Defined in src/raster/component.js:181

### filter_

filter_: IFilterService

- Defined in src/raster/component.js:168

### gettextCatalog

gettextCatalog: gettextCatalog

- Defined in src/raster/component.js:171

### gmfRaster_

gmfRaster_: any

- Defined in src/raster/component.js:170

### inViewport_

inViewport_: boolean

- Defined in src/raster/component.js:206

### layer

layer: string

- Defined in src/raster/component.js:186

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/raster/component.js:196

### loading

loading: boolean

- Defined in src/raster/component.js:211

### map

map: Map

- Defined in src/raster/component.js:191

### ngeoDebounce_

ngeoDebounce_: miscDebounce<(arg0: BaseEvent | Event) => void>

- Defined in src/raster/component.js:169

### options

options: any

- Defined in src/raster/component.js:166

### scope_

scope_: IScope

- Defined in src/raster/component.js:201

## Methods

### activate_

- activate_(): void

- - Defined in src/raster/component.js:228

  Activate the listeners of the component.

  #### Returns void

### afterPointerMove_

- afterPointerMove_(evt: BaseEvent | Event): void

- - Defined in src/raster/component.js:272

  Set the state of the component and query the raster service with the coordinate.

  #### Parameters

  - ##### evt: BaseEvent | Event

    Event.

  #### Returns void

### clear_

- clear_(): void

- - Defined in src/raster/component.js:331

  Clear the state.

  #### Returns void

### deactivate_

- deactivate_(): void

- - Defined in src/raster/component.js:251

  Deactivate the listeners of the component

  #### Returns void

### getRasterError_

- getRasterError_(): void

- - Defined in src/raster/component.js:323

  #### Returns void

### getRasterSuccess_

- getRasterSuccess_(resp: Object): void

- - Defined in src/raster/component.js:296

  #### Parameters

  - ##### resp: Object

    Response of the get Raster service.

  #### Returns void

### onMouseout_

- onMouseout_(): void

- - Defined in src/raster/component.js:286

  Clears previously displayed raster info and set inViewport_ to false.

  #### Returns void

### onPointerMove_

- onPointerMove_(): void

- - Defined in src/raster/component.js:259

  Clears previously displayed raster info and set inViewport_ to true.

  #### Returns void

Generated using TypeDoc